#! /bin/bash

req_usage=70
check_result=$(df -h|grep -v Use|awk -F '[ %]+' '{if ($5 >= '"${req_usage}"') print $6":"$5"%"}' | tr '\n' ' ')

if [ -z "${check_result}" ];then
    checkStatus=OK
    checkValue="磁盘空间使用率小于${req_usage}%"
    msg="磁盘空间使用率小于${req_usage}%."
else
    checkStatus=fail
    checkValue="部分磁盘空间使用率大于${req_usage}%"
    msg="以下磁盘空间使用率大于${req_usage}%: ${check_result}"
fi

echo "{\"checkValue\":\"${checkValue}\", \"checkStatus\":\"${checkStatus}\", \"msg\":\"${msg}\"}"