#! /bin/bash

RELEASE=$(docker -v | awk -F "[ ,]+" '{print $1}')
DOCKER=$(docker -v | awk -F "[ ,]+" '{print $3}')
DOCKER_EDITION=$(docker -v | awk -F "[ |.]" '{print $3}')
docker -v | awk -F "[ |.]" '{if($1=="Docker" && $3==20) exit 0;else exit 1}'

if [ $? -eq 0 ]; then
   echo "{\"checkValue\": \"${RELEASE} ${DOCKER}\",\"checkStatus\": \"OK\", \"msg\": \"$(hostname): ${RELEASE} ${DOCKER}\"}"
else
   echo "{\"checkValue\": \"${RELEASE} ${DOCKER}\",\"checkStatus\": \"fail\", \"msg\": \"$(hostname): Require Docker 20. This Docker is ${RELEASE} ${DOCKER}\"}"
fi
