#!/bin/bash

CACHE=$(free -m | awk '/Mem/{print $(NF-1)}')
TOTAL=$(free -m | awk '/Mem/{print $2}')

CACHE_RATE=$(awk 'BEGIN{print('"${CACHE}"'/'"${TOTAL}"'*100)}')

if [[ $(awk 'BEGIN{print('"${CACHE}"'/'"${TOTAL}"'<'0.5')?0:1}') -eq 0 ]];then
   checkStatus=OK
   msg="当前系统内存缓存为：${CACHE_RATE}%"
else
   checkStatus=fail
   msg="当前系统内存缓存为: ${CACHE_RATE}%"
fi

echo "{\"checkValue\": \"${CACHE_RATE}%\", \"checkStatus\": \"${checkStatus}\", \"msg\": \"${msg}\"}"
